#!/bin/bash
set -e

WORK_DIR=/proj/nsc_testing/xuan/berzelius-benchmarks/PyTorch/Segmentation/nnUNet

dim=2
for nodes in {1..1}; do
    for gpus in {1,8}; do
        for batch_size in {128}; do
            for iteration in {1..1}; do

                echo dim ${dim}, nodes ${nodes}, gpus ${gpus}, batch_size ${batch_size}, iteration ${iteration}

                # For single node
                bash $WORK_DIR/run_benchmark_single_node.sh ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}
                sleep 1 
                
            done
        done
    done
done
